Skip to main content
PUT
/
v1
/
sdk
/
products
/
{productRef}
/
mcp
/
plans
Configure MCP plans on an MCP product
curl --request PUT \
  --url https://api.example.com/v1/sdk/products/{productRef}/mcp/plans \
  --header 'Content-Type: application/json' \
  --data '
{
  "plans": [
    {
      "currency": "<string>",
      "key": "<string>",
      "name": "<string>",
      "price": 1,
      "creditsPerUnit": 123,
      "features": {},
      "freeUnits": 1,
      "limit": 1
    }
  ],
  "toolMapping": [
    {
      "name": "<string>",
      "planKeys": [
        "<string>"
      ]
    }
  ]
}
'
{
  "mcpServer": {},
  "planMap": {},
  "product": {
    "balance": 0,
    "createdAt": "<string>",
    "isMcpPay": false,
    "name": "AI Writing Assistant",
    "reference": "prd_1A2B3C4D",
    "status": "active",
    "totalTransactions": 0,
    "updatedAt": "<string>",
    "config": {
      "deliveryMethod": "api",
      "fulfillmentType": "digital",
      "validityPeriod": 30
    },
    "description": "<string>",
    "imageUrl": "<string>",
    "mcp": {
      "defaultPlanRef": "pln_FREE123",
      "mcpProxyUrl": "https://acme-docs.mcp.solvapay.com/mcp",
      "mcpServerRef": "mcp_ABC123",
      "mcpSubdomain": "acme-docs",
      "originUrl": "https://origin.example.com/mcp"
    },
    "metadata": {},
    "plans": [
      {
        "createdAt": "<string>",
        "currency": "USD",
        "isActive": true,
        "price": 2999,
        "reference": "pln_1A2B3C4D",
        "requiresPayment": true,
        "status": "active",
        "updatedAt": "<string>",
        "billingCycle": "monthly",
        "billingModel": "pre-paid",
        "creditsPerUnit": 1,
        "currencySymbol": "$",
        "features": {},
        "freeUnits": 1000,
        "limit": 10000,
        "limits": {},
        "measures": "requests",
        "meterRef": "mtr_1A2B3C4D",
        "rolloverUnusedUnits": false,
        "setupFee": 500,
        "trialDays": 14
      }
    ],
    "productType": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.solvapay.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

productRef
string
required

Product reference or ID

Example:

"prd_1A2B3C4D"

Body

application/json
plans
object[]
toolMapping
object[]

Response

MCP plans configured successfully

mcpServer
object
required

Updated MCP server identity

planMap
object
required

Resolved plan mapping by key (includes existing free plan)

product
object
required

Updated product